Check sender verification status

Returns the current verification status of a sender. Use this endpoint to check sender verification status through the Samva email API.

GET
/v1/email/senders/{id}/verification

Returns the current verification status of a sender.

Authorization

apiKey
headerx-api-key<token>

Path Parameters

id*string
Match^sender_[0-9a-hjkmnp-tv-z]{16,24}$

Response Body

Success

application/json
  1. response
id*EmailSenderId
Match^sender_[0-9a-hjkmnp-tv-z]{16,24}$
email*string
status*string
Value in"pending""verified""failed"
verifiedAt*string|null
Example Request
import { createClient } from "samva";const samva = createClient({ apiKey: process.env.SAMVA_API_KEY! });const result = await samva.email.checkSenderVerification({  "id": "example"});
Example Response
{  "id": "string",  "email": "string",  "status": "pending",  "verifiedAt": "string"}

Related documentation